Subject: bug#14704: 24.3.50; cl-lib breaks built-in Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Jun 2013 23:25:36 +0300

> From: Dmitry Gutov <[email-masked]>
> Cc: Glenn Morris <[email-masked]>,  [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 25 Jun 2013 00:21:43 +0400
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > Who except myself would want to run, let's see... about 30 tests, by
> > hand, first in a GUI session, then in a TTY session?
> 
> Even if no one else would do that for now (I have no idea), sometimes
> things happen, you know. Bus factor and all that.
> I'm sure anyone else working on the display engine would find a suite of
> tests helpful.

Fine.  I will add them one of these days.

> Of course, if you were able to automate them to some degree, that would
> be even better.

We lack a lot of infrastructure for that, like access from Lisp to
data structures manipulated by the display engine.  If I were to write
all that, I'd probably have no time left for development and fixing
bugs.  It would be a fine exercise for someone who'd like to learn the
display engine internals, though, so motivated people are welcome...